Bug 239958 - May 12 boot.iso SIGSEGV
Summary: May 12 boot.iso SIGSEGV
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-05-13 12:11 UTC by Nigel Jones
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 20:16:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nigel Jones 2007-05-13 12:11:44 UTC
Description of problem:
Hi guys, using the May 12 boot.iso from 
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/imag
es/boot.iso I have encounted a SIGSEGV during mirror selection.

(n.b. If I've placed this in the wrong place, please accept my appologies and 
reroute it)

Version-Release number of selected component (if applicable): May12


How reproducible:
Always that I can tell

Steps to Reproduce:
1. Boot boot.iso and select English (language)->us (keymap)->HTTP (download 
method)
2. When prompted for IPv4/IPv6 Auto/Manual settings detection set IPv4 to 
manually specify
3. Tab to cancel (sub bug: when empty, it complains about invalid input, not 
good when a NA realises he/she specified the wrong option ;))
4. This brings you back to Configure TCP/IP, once again, hit Back

  
Actual results:
On point 3, in my opinion it should return to how it was before you pressed Ok 
the first time (i.e. cursor at Manual IPv4 which is still selected)
On point 4, a SIGSEGV will happy with the following message:

loader received SIGSEGV!  Backtrace:
[0x80482a4]
[0xc5c420]
[0x81d05d2]
[0x80499ae]
[0x8172588]
[0x8048131]
install exited abnormally [1/1]
sending termination signals...done
--SNIP--

Expected results:
To return to method selection

Additional info:
Tested on VMware Server 1.0.1 (build 299996) - yes I know it's old but it 
works, the image is assigned 8GB of Diskspace and 256MB of RAM

Comment 1 David Cantrell 2007-05-22 20:22:57 UTC
Is this happening with the latest Fedora development trees?

Comment 2 Nigel Jones 2007-05-23 00:10:58 UTC
Yes.

May 22 boot.iso has the exact same issue

Backtrace is now:

[0x80482a4]
[0x6c5420]
[0x81d0872]
[0x80499ae]
[0x804a978]
[0x81725d8]
[0x8048131]

Comment 3 Robert Scheck 2007-05-23 20:07:44 UTC
Dito, able to reproduce this report in actual and older boot.iso files by 
hitting back twice.


Note You need to log in before you can comment on or make changes to this bug.